POST api/NotifyMobiles?MessageAr={MessageAr}&recordType={recordType}&recordId={recordId}&customerId={customerId}&messageEn={messageEn}&environment={environment}&titleAr={titleAr}&titleEn={titleEn}
Sends a push notification to users. Notificaton will be sent to mobiles with the following payload: <para><br> iOS => {"aps":{"alert":"[message]","title":"[message]" , "NotificationType": [recordType], "RecordId": [recordId], "badge":1, "content-available": 1, "sound": "default"}}</br></para><para><br> Android => {"alert":"[message]","title":"[message]" , "NotificationType": [recordType], "RecordId": [recordId], "badge":1, "content-available": 1, "sound": "default"}</br></para>
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageAr |
Obligatory. Push notification message text in Arabic. This will be sent to mobile users that have Arabic UI enabled |
string |
Required |
| recordType |
Optional. Default is NotificationType.None that means that notification is not bounded to any other table (that is a general notification message). Push notification type |
NotificationType |
Default value is None |
| recordId |
Optional. Default value is -1 that means that this notification is not related to any record. recordId is the related record's primary key ID value |
integer |
Default value is -1 |
| customerId |
Optional. Default value is -1 that means that noficiation will be sent to all users/participants. If value is passed that means notification will be sent to the passed participant that has this ID only |
integer |
Default value is -1 |
| messageEn |
Optional. Default value will be same as Arabic Message. Push notification message text in English. This will be sent to mobile users that have English UI enabled |
string |
Default value is |
| environment |
APNS Server Environment |
ServerEnvironment |
Default value is Production |
| titleAr |
Optional. Push notification message title in Arabic |
string |
Default value is |
| titleEn |
Optional. Push notification message title in English |
string |
Default value is |
Body Parameters
None.
Response Information
Resource Description
Status| Name | Description | Type | Additional information |
|---|---|---|---|
| Success | boolean |
None. |
|
| MessageEn | string |
None. |
|
| MessageAr | string |
None. |
|
| DetailedMessage | string |
None. |
|
| Code | ResultStatusCode |
None. |
|
| CartErrors | Collection of CartError |
None. |
Response Formats
application/json, text/json
{
"Success": true,
"MessageEn": "sample string 2",
"MessageAr": "sample string 3",
"DetailedMessage": "sample string 4",
"Code": 0,
"CartErrors": [
{
"ResultStatusCode": 0,
"CartId": 1,
"CorrectValue": {},
"MessageEn": "sample string 2",
"MessageAr": "sample string 3",
"CartCorrectAction": 0
},
{
"ResultStatusCode": 0,
"CartId": 1,
"CorrectValue": {},
"MessageEn": "sample string 2",
"MessageAr": "sample string 3",
"CartCorrectAction": 0
}
]
}
